import { CodeGenerator, GetValueNode } from '@esydoc/share';
import ApiCallNode from './CodeNodes/ApiCallNode';
import TestCaseNode from './CodeNodes/TestCaseNode';
interface BaseNodeConfig {
    node: ApiCallNode;
    args2d: GetValueNode.Args[] | GetValueNode.RawArgsFn;
    expectQueue: any | any[];
    deps?: string[];
    onDone?: TestCaseNode.OnDoneByUser;
}
declare function genShouldExistTaseCaseFnCode(): string;
declare module ApiQACodeGenerator {
    type Options = {
        hostContext: any;
    };
}
declare class ApiQACodeGenerator extends CodeGenerator {
    static genShouldExistTaseCaseFnCode: typeof genShouldExistTaseCaseFnCode;
    nodeConfigMap: Map<string, BaseNodeConfig>;
    options: ApiQACodeGenerator.Options;
    constructor(options: ApiQACodeGenerator.Options);
    collectNode(config: BaseNodeConfig): void;
    private ouputNewNodeConfigQueueByDeps;
    private getHead;
    private getBody;
    private getFoot;
    generate(): string;
}
export default ApiQACodeGenerator;
